import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { BusBlackLot } from '../models/index';
/**
 * @author auto generate
 * @version 1.2
 * @date 2020-12-29 15:31
 */
interface BusBlackLotCU extends ConditionUtil<BusBlackLotCU> {
    LOT_ID: FieldUtil<BusBlackLotCU>;
    CODE: FieldUtil<BusBlackLotCU>;
    REMARK: FieldUtil<BusBlackLotCU>;
    CREATE_TIME: FieldUtil<BusBlackLotCU>;
    UPDATE_TIME: FieldUtil<BusBlackLotCU>;
}
declare class BusBlackLotMU extends TableUtilImpl<BusBlackLotCU, BusBlackLot> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): BusBlackLotCU;
    static get LOT_ID(): FieldUtil<BusBlackLotCU>;
    static get CODE(): FieldUtil<BusBlackLotCU>;
    static get REMARK(): FieldUtil<BusBlackLotCU>;
    static get CREATE_TIME(): FieldUtil<BusBlackLotCU>;
    static get UPDATE_TIME(): FieldUtil<BusBlackLotCU>;
    get LOT_ID(): FieldUtil<BusBlackLotCU>;
    get CODE(): FieldUtil<BusBlackLotCU>;
    get REMARK(): FieldUtil<BusBlackLotCU>;
    get CREATE_TIME(): FieldUtil<BusBlackLotCU>;
    get UPDATE_TIME(): FieldUtil<BusBlackLotCU>;
}
export { BusBlackLotMU, BusBlackLotCU };
